pskc_global_log(3)

NAME
pskc_global_log - API function

SYNOPSIS
#include <pskc.h>

void pskc_global_log(pskc_log_func log_func);

ARGUMENTS

pskc_log_func log_func
    new global pskc_log_func log function to use.

DESCRIPTION
Enable global debug logging function. The function will be invoked by the library when it wishes to print various debug information.

pskc_log_func is of the form, void (*pskc_log_func) (const char *msg);

The application may use this to provide a debug mode with trace information for the user.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.